<?php
/**
 * Expert Handyman: Customizer
 *
 * @subpackage Expert Handyman
 * @since 1.0
 */

use WPTRT\Customize\Section\Luzuk_ExpertHandyman_Button;

add_action( 'customize_register', function( $manager ) {

	$manager->register_section_type( Luzuk_ExpertHandyman_Button::class );

	$manager->add_section(
		new Luzuk_ExpertHandyman_Button( $manager, 'luzuk_experthandyman_pro', [
			'title' => __( 'Expert Handyman Pro', 'expert-handyman' ),
			'priority' => 0,
			'button_text' => __( 'Go Pro', 'expert-handyman' ),
			'button_url'  => esc_url( 'https://www.luzuk.com/product/handyman-theme-wordpress/', 'expert-handyman')
		] )
	);

} );


// Load the JS and CSS.
add_action( 'customize_controls_enqueue_scripts', function() {

	$version = wp_get_theme()->get( 'Version' );

	wp_enqueue_script(
		'experthandyman-customize-section-button',
		get_theme_file_uri( 'vendor/wptrt/customize-section-button/public/js/customize-controls.js' ),
		[ 'customize-controls' ],
		$version,
		true
	);

	wp_enqueue_style(
		'experthandyman-customize-section-button',
		get_theme_file_uri( 'vendor/wptrt/customize-section-button/public/css/customize-controls.css' ),
		[ 'customize-controls' ],
 		$version
	);

} );

function luzuk_experthandyman_customize_register( $wp_customize ) {

	$wp_customize->add_setting('luzuk_experthandyman_logo_size',array(
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_float'
	));
	$wp_customize->add_control('luzuk_experthandyman_logo_size',array(
		'type' => 'range',
		'label' => __('Logo Size','expert-handyman'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('luzuk_experthandyman_logo_padding',array(
		'sanitize_callback'	=> 'esc_html'
	));
	$wp_customize->add_control('luzuk_experthandyman_logo_padding',array(
		'label' => __('Logo Margin','expert-handyman'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('luzuk_experthandyman_logo_top_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_float'
	));
	$wp_customize->add_control('luzuk_experthandyman_logo_top_padding',array(
		'type' => 'number',
		'description' => __('Top','expert-handyman'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_experthandyman_logo_bottom_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_float'
	));
	$wp_customize->add_control('luzuk_experthandyman_logo_bottom_padding',array(
		'type' => 'number',
		'description' => __('Bottom','expert-handyman'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_experthandyman_logo_left_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_float'
	));
	$wp_customize->add_control('luzuk_experthandyman_logo_left_padding',array(
		'type' => 'number',
		'description' => __('Left','expert-handyman'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('luzuk_experthandyman_logo_right_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_float'
 	));
 	$wp_customize->add_control('luzuk_experthandyman_logo_right_padding',array(
		'type' => 'number',
		'description' => __('Right','expert-handyman'),
		'section' => 'title_tagline',
    ));

	$wp_customize->add_setting('luzuk_experthandyman_show_site_title',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_experthandyman_show_site_title',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Title','expert-handyman'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting( 'luzuk_experthandyman_site_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_site_title_color', array(
		'label' => 'Title Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_setting('luzuk_experthandyman_show_tagline',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_experthandyman_show_tagline',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Tagline','expert-handyman'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting( 'luzuk_experthandyman_site_tagline_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_site_tagline_color', array(
		'label' => 'Tagline Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_panel( 'luzuk_experthandyman_panel_id', array(
		'priority' => 10,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => __( 'Theme Settings', 'expert-handyman' ),
		'description' => __( 'Description of what this panel does.', 'expert-handyman' ),
	) );

	$wp_customize->add_section( 'luzuk_experthandyman_theme_options_section', array(
    	'title'      => __( 'General Settings', 'expert-handyman' ),
		'priority'   => 30,
		'panel' => 'luzuk_experthandyman_panel_id'
	) );

	$wp_customize->add_setting('luzuk_experthandyman_theme_options',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_experthandyman_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_experthandyman_theme_options',array(
		'type' => 'select',
		'label' => __('Blog Page Sidebar Layout','expert-handyman'),
		'section' => 'luzuk_experthandyman_theme_options_section',
		'choices' => array(
		   'Left Sidebar' => __('Left Sidebar','expert-handyman'),
		   'Right Sidebar' => __('Right Sidebar','expert-handyman'),
		   'One Column' => __('One Column','expert-handyman')
		),
	));

	$wp_customize->add_setting('luzuk_experthandyman_single_post_sidebar',array(
		'default' => 'Right Sidebar',
		'sanitize_callback' => 'luzuk_experthandyman_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_experthandyman_single_post_sidebar',array(
        'type' => 'select',
        'label' => __('Single Post Sidebar Layout','expert-handyman'),
        'section' => 'luzuk_experthandyman_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','expert-handyman'),
            'Right Sidebar' => __('Right Sidebar','expert-handyman'),
            'One Column' => __('One Column','expert-handyman')
        ),
	));

	$wp_customize->add_setting('luzuk_experthandyman_page_sidebar',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_experthandyman_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_experthandyman_page_sidebar',array(
        'type' => 'select',
        'label' => __('Page Sidebar Layout','expert-handyman'),
        'section' => 'luzuk_experthandyman_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','expert-handyman'),
            'Right Sidebar' => __('Right Sidebar','expert-handyman'),
            'One Column' => __('One Column','expert-handyman')
        ),
	));

	$wp_customize->add_setting('luzuk_experthandyman_archive_page_sidebar',array(
		'default' => 'One Column',
		'sanitize_callback' => 'luzuk_experthandyman_sanitize_choices'
	));
	$wp_customize->add_control('luzuk_experthandyman_archive_page_sidebar',array(
        'type' => 'select',
        'label' => __('Archive & Search Page Sidebar Layout','expert-handyman'),
        'section' => 'luzuk_experthandyman_theme_options_section',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','expert-handyman'),
            'Right Sidebar' => __('Right Sidebar','expert-handyman'),
            'One Column' => __('One Column','expert-handyman')
        ),
	));

	$wp_customize->add_setting( 'luzuk_experthandyman_boxfull_width', array(
		'default'           => 'Full Width',
		'sanitize_callback' => 'luzuk_experthandyman_sanitize_choices'
	));
	
	$wp_customize->add_control( 'luzuk_experthandyman_boxfull_width', array(
		'label'    => __( 'Section Width', 'expert-handyman' ),
		'section'  => 'luzuk_experthandyman_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'container'  => __('Box Width', 'expert-handyman'),
			'container-fluid' => __('Full Width', 'expert-handyman'),
			'none' => __('None', 'expert-handyman')
		),
	));

	
 
	//Header
	$wp_customize->add_section( 'luzuk_experthandyman_header' , array(
    	'title'    => __( 'Header Settings', 'expert-handyman' ),
		'priority' => null,
		'panel' => 'luzuk_experthandyman_panel_id'
	) );

	$wp_customize->add_setting('luzuk_experthandyman_topheadtext',array(
		'default' => 'There are many variations of passages of Lorem Ipsum',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_topheadtext',array(
	   	'type' => 'text',
	   	'label' => __('Top Head Text','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_header',
	));

	$wp_customize->add_setting('luzuk_experthandyman_header_mail',array(
		'default' => 'info@example.com',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_header_mail',array(
	   	'type' => 'text',
	   	'label' => __('Mail Text','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_header',
	));

	$wp_customize->add_setting('luzuk_experthandyman_header_phnheading',array(
		'default' => '24/7 Emergency Care',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_header_phnheading',array(
	   	'type' => 'text',
	   	'label' => __('Phone Number Heading','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_header',
	));

	$wp_customize->add_setting('luzuk_experthandyman_header_phoneno',array(
		'default' => '(00) 111-222-1111',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_header_phoneno',array(
	   	'type' => 'text',
	   	'label' => __('Phone Number','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_header',
	));

	$wp_customize->add_setting('luzuk_experthandyman_header_requesttext',array(
		'default' => 'Request an',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_header_requesttext',array(
	   	'type' => 'text',
	   	'label' => __('Request Button Text','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_header',
	));

	$wp_customize->add_setting('luzuk_experthandyman_header_appointment',array(
		'default' => 'Appointment',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_header_appointment',array(
	   	'type' => 'text',
	   	'label' => __('Appointment Button Text','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_header',
	));

	$wp_customize->add_setting('luzuk_experthandyman_header_appointmentlink',array(
		'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_header_appointmentlink',array(
	   	'type' => 'text',
	   	'label' => __('Appointment Button Link','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_header',
	));

	$wp_customize->add_setting( 'luzuk_experthandyman_headertopbg_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headertopbg_col', array(
		'label' => 'Top Head BG Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headerbottombg_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headerbottombg_col', array(
		'label' => 'Bottom Head BG Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headertophedtext_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headertophedtext_col', array(
		'label' => 'Top Head Text Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headertopemail_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headertopemail_col', array(
		'label' => 'Top Head Mail Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headertopemailihrv_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headertopemailihrv_col', array(
		'label' => 'Top Head Mail Hover Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headertopphonenumheading_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headertopphonenumheading_col', array(
		'label' => 'Phone Number Heading Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headertopphonenumicon_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headertopphonenumicon_col', array(
		'label' => 'Phone Number Icon Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headertopphonenum_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headertopphonenum_col', array(
		'label' => 'Phone Number Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headertopphonenumhrv_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headertopphonenumhrv_col', array(
		'label' => 'Phone Number Hover Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headerrequestheading_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headerrequestheading_col', array(
		'label' => 'Request Text Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headerappointmentheading_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headerappointmentheading_col', array(
		'label' => 'Appointment Text Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_headerappointmentheadingicon_col', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_headerappointmentheadingicon_col', array(
		'label' => 'Appointment Icon Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_brd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_brd_color', array(
		'label' => 'Border Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_menu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_menu_color', array(
		'label' => 'Menu Color',
		'section' => 'luzuk_experthandyman_header',
	)));


	$wp_customize->add_setting( 'luzuk_experthandyman_menuhover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_menuhover_color', array(
		'label' => 'Menu Active & Hover Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_submenu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_submenu_color', array(
		'label' => 'Submenu Text Color',
		'section' => 'luzuk_experthandyman_header',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_submenubg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_submenubg_color', array(
		'label' => 'Submenu BG Color',
		'section' => 'luzuk_experthandyman_header',
	)));


	
	//home page slider
	$wp_customize->add_section( 'luzuk_experthandyman_slider_section' , array(
    	'title'    => __( 'Slider Settings', 'expert-handyman' ),
		'description'=> __('<b>Note :</b> Please Add Image in 1500*600 Ratio.','expert-handyman'),
		'priority' => null,
		'panel' => 'luzuk_experthandyman_panel_id'
	) );

	$wp_customize->add_setting('luzuk_experthandyman_slider_hide_show',array(
    	'default' => false,
    	'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_experthandyman_slider_hide_show',array(
	   	'type' => 'checkbox',
	   	'label' => __('Show / Hide Slider','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_slider_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_sliderheading',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_sliderheading',array(
	   	'type' => 'text',
	   	'label' => __('Heading','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_slider_section',
	));

	for ( $count = 1; $count <= 4; $count++ ) {
		$wp_customize->add_setting( 'luzuk_experthandyman_slider' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'luzuk_experthandyman_sanitize_dropdown_pages'
		));
		$wp_customize->add_control( 'luzuk_experthandyman_slider' . $count, array(
			'label' => __('Select A Page', 'expert-handyman' ),
			'section' => 'luzuk_experthandyman_slider_section',
			'type' => 'dropdown-pages'
		));
	}

	$wp_customize->add_setting('luzuk_experthandyman_slider_excerpt_length',array(
		'default' => '15',
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_float'
	));
	$wp_customize->add_control('luzuk_experthandyman_slider_excerpt_length',array(
		'type' => 'number',
		'label' => __('Description Excerpt Length','expert-handyman'),
		'section' => 'luzuk_experthandyman_slider_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_sliderbtnlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('luzuk_experthandyman_sliderbtnlink',array(
	   	'type' => 'url',
	   	'label' => __('Slider Button Link','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_slider_section',
	));

	$wp_customize->add_setting( 'luzuk_experthandyman_slider_heading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_slider_heading_color', array(
		'label' => 'Heading Color',
		'section' => 'luzuk_experthandyman_slider_section',
	)));
	
	$wp_customize->add_setting( 'luzuk_experthandyman_slider_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_slider_title_color', array(
		'label' => 'Title Color',
		'section' => 'luzuk_experthandyman_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_slider_description_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_slider_description_color', array(
		'label' => 'Description Color',
		'section' => 'luzuk_experthandyman_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_slider_btntext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_slider_btntext_color', array(
		'label' => 'Button Text Color',
		'section' => 'luzuk_experthandyman_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_slider_btnbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_slider_btnbg_color', array(
		'label' => 'Button BG Color',
		'section' => 'luzuk_experthandyman_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_slider_btnbghrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_slider_btnbghrv_color', array(
		'label' => 'Button BG Hover Color',
		'section' => 'luzuk_experthandyman_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_slider_contentbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_slider_contentbg_color', array(
		'label' => 'Content BG Color',
		'section' => 'luzuk_experthandyman_slider_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_slider_contentbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_slider_contentbrd_color', array(
		'label' => 'Content Border Color',
		'section' => 'luzuk_experthandyman_slider_section',
	)));


	// feature Section
	$wp_customize->add_section('luzuk_experthandyman_feature_section',array(
		'title'	=> __('Feature Settings','expert-handyman'),
		'description'=> __('<b>Note :</b> This section will appear below the Slider.','expert-handyman'),
		'panel' => 'luzuk_experthandyman_panel_id',
	));

	$wp_customize->add_setting('luzuk_experthandyman_feature_hideshow',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_experthandyman_feature_hideshow',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Feature Section','expert-handyman'),
		'section' => 'luzuk_experthandyman_feature_section'
	));

	$wp_customize->add_setting('luzuk_experthandyman_feature_hightech',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_feature_hightech',array(
	   	'type' => 'text',
	   	'label' => __('High Tech','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_feature_section',
	));

	$wp_customize->add_setting(
    	'luzuk_experthandyman_feature_img1',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_experthandyman_feature_img1',
	        array(
			    'label'   		=> __('Image1','expert-handyman'),
				'description'   		=> __('Image size 239*65','expert-handyman'),
	            'section' => 'luzuk_experthandyman_feature_section',
	            'settings' => 'luzuk_experthandyman_feature_img1',
	        )
	    )
	);

	$wp_customize->add_setting('luzuk_experthandyman_feature_installationrepair',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_feature_installationrepair',array(
	   	'type' => 'text',
	   	'label' => __('Installation & Repair','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_feature_section',
	));


	$wp_customize->add_setting(
    	'luzuk_experthandyman_feature_img2',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_experthandyman_feature_img2',
	        array(
			    'label'   		=> __('Image1','expert-handyman'),
				'description'   		=> __('Image size 246*65','expert-handyman'),
	            'section' => 'luzuk_experthandyman_feature_section',
	            'settings' => 'luzuk_experthandyman_feature_img2',
	        )
	    )
	);

	$wp_customize->add_setting('luzuk_experthandyman_feature_servicebyprofessional',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_feature_servicebyprofessional',array(
	   	'type' => 'text',
	   	'label' => __('Services By Professional','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_feature_section',
	));


	$wp_customize->add_setting('luzuk_experthandyman_feature_technicaldesigners',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_feature_technicaldesigners',array(
	   	'type' => 'text',
	   	'label' => __('Technicians, And Designers','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_feature_section',
	));

	$wp_customize->add_setting(
    	'luzuk_experthandyman_feature_img3',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_experthandyman_feature_img3',
	        array(
			    'label'   		=> __('Image3','expert-handyman'),
				'description'   		=> __('Image size 225*71','expert-handyman'),
	            'section' => 'luzuk_experthandyman_feature_section',
	            'settings' => 'luzuk_experthandyman_feature_img3',
	        )
	    )
	);

	$wp_customize->add_setting('luzuk_experthandyman_feature_forcomplete',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_feature_forcomplete',array(
	   	'type' => 'text',
	   	'label' => __('For Complete','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_feature_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_feature_needs',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_feature_needs',array(
	   	'type' => 'text',
	   	'label' => __('Needs','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_feature_section',
	));

	$wp_customize->add_setting( 'luzuk_experthandyman_feature_heading1_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_feature_heading1_color', array(
		'label' => 'Heading 1 Color',
		'section' => 'luzuk_experthandyman_feature_section',
	)));
	
	$wp_customize->add_setting( 'luzuk_experthandyman_feature_heading2_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_feature_heading2_color', array(
		'label' => 'Heading 2 Color',
		'section' => 'luzuk_experthandyman_feature_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_feature_btnicon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_feature_btnicon_color', array(
		'label' => 'Button Icon Color',
		'section' => 'luzuk_experthandyman_feature_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_feature_btniconbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_feature_btniconbg_color', array(
		'label' => 'Button BG Color',
		'section' => 'luzuk_experthandyman_feature_section',
	)));



	
	// aboutus Section
	$wp_customize->add_section('luzuk_experthandyman_aboutus_section',array(
		'title'	=> __('Aboutus Settings','expert-handyman'),
		'description'=> __('<b>Note :</b> This section will appear below the Banner.','expert-handyman'),
		'panel' => 'luzuk_experthandyman_panel_id',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_hideshow',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_hideshow',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Aboutus Section','expert-handyman'),
		'section' => 'luzuk_experthandyman_aboutus_section'
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutusheading',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutusheading',array(
	   	'type' => 'text',
	   	'label' => __('Heading','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutustitle',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutustitle',array(
	   	'type' => 'text',
	   	'label' => __('SubHeading','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box1icon',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box1icon',array(
	   	'type' => 'text',
	   	'label' => __('Box 1 Icon','expert-handyman'),
		'description' => __('Add Like "fa fa-cog"','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box1title',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box1title',array(
	   	'type' => 'text',
	   	'label' => __('Box 1 Title','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box1decription',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box1decription',array(
	   	'type' => 'text',
	   	'label' => __('Box 1 Description','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box2icon',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box2icon',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Icon','expert-handyman'),
		'description' => __('Add Like "fa fa-cog"','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box2title',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box2title',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Title','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box2decription',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box2decription',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Description','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box3icon',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box3icon',array(
	   	'type' => 'text',
	   	'label' => __('Box 3 Icon','expert-handyman'),
		'description' => __('Add Like "fa fa-cog"','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box3title',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box3title',array(
	   	'type' => 'text',
	   	'label' => __('Box 3 Title','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_box3decription',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_box3decription',array(
	   	'type' => 'text',
	   	'label' => __('Box 3 Description','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_phonenum',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_phonenum',array(
	   	'type' => 'text',
	   	'label' => __('Phone Number','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_phonnumtitle',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_phonnumtitle',array(
	   	'type' => 'text',
	   	'label' => __('Phone Number Title','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_email',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_email',array(
	   	'type' => 'text',
	   	'label' => __('Email','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_emailtitle',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_emailtitle',array(
	   	'type' => 'text',
	   	'label' => __('Email Title','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutusreadmorebtnlink',array(
    	'default' => '#',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));

	$wp_customize->add_control('luzuk_experthandyman_aboutusreadmorebtnlink',array(
	   	'type' => 'url',
	   	'label' => __('Read More Button Link','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));


	$wp_customize->add_setting('luzuk_experthandyman_aboutusdescription',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutusdescription',array(
	   	'type' => 'text',
	   	'label' => __('Right Top Description','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));


	$wp_customize->add_setting(
    	'luzuk_experthandyman_aboutus_image1',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_experthandyman_aboutus_image1',
	        array(
			    'label'   		=> __('Image1','expert-handyman'),
				'description'   		=> __('Image size 425*285','expert-handyman'),
	            'section' => 'luzuk_experthandyman_aboutus_section',
	            'settings' => 'luzuk_experthandyman_aboutus_image1',
	        )
	    )
	);

	$wp_customize->add_setting(
    	'luzuk_experthandyman_aboutus_image2',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_experthandyman_aboutus_image2',
	        array(
			    'label'   		=> __('Image2','expert-handyman'),
				'description'   		=> __('Image size 425*285','expert-handyman'),
	            'section' => 'luzuk_experthandyman_aboutus_section',
	            'settings' => 'luzuk_experthandyman_aboutus_image2',
	        )
	    )
	);

	$wp_customize->add_setting(
    	'luzuk_experthandyman_aboutus_image3',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'luzuk_experthandyman_aboutus_image3',
	        array(
			    'label'   		=> __('Image3','expert-handyman'),
				'description'   		=> __('Image size 425*285','expert-handyman'),
	            'section' => 'luzuk_experthandyman_aboutus_section',
	            'settings' => 'luzuk_experthandyman_aboutus_image3',
	        )
	    )
	);

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_imagebox1num',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_imagebox1num',array(
	   	'type' => 'text',
	   	'label' => __('Box 1 Number','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_imagebox1heading',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_imagebox1heading',array(
	   	'type' => 'text',
	   	'label' => __('Box 1 Heading','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_imagebox2num',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_imagebox2num',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Number','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_imagebox2heading1',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_imagebox2heading1',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Heading 1','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_aboutus_imagebox2heading2',array(
		'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_aboutus_imagebox2heading2',array(
	   	'type' => 'text',
	   	'label' => __('Box 2 Heading 2','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_aboutus_section',
	));


	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusheading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusheading_color', array(
		'label' => 'Heading Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutustitle_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutustitle_color', array(
		'label' => 'SubHeading Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	
	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusbrd_color', array(
		'label' => 'Border Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusdescription_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusdescription_color', array(
		'label' => 'Description Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusboxicon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusboxicon_color', array(
		'label' => 'Box Icon Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusboxiconbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusboxiconbg_color', array(
		'label' => 'Box Icon BG Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusboxtitle_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusboxtitle_color', array(
		'label' => 'Box Title Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusboxdescription_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusboxdescription_color', array(
		'label' => 'Box Description Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusboxbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusboxbrd_color', array(
		'label' => 'Box Border Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutuscontacticon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutuscontacticon_color', array(
		'label' => 'Contact Icon Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutuscontacttext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutuscontacttext_color', array(
		'label' => 'Contact Text Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutuscontacttitle_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutuscontacttitle_color', array(
		'label' => 'Contact Title Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));
	
	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusbtntext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusbtntext_color', array(
		'label' => 'Button Text Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusbtnbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusbtnbg_color', array(
		'label' => 'Button BG Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusbtnbghrv_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusbtnbghrv_color', array(
		'label' => 'Button BG Hover Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusimgyearexpnum_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusimgyearexpnum_color', array(
		'label' => 'Image Number Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusimgyearexpnumtitle_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusimgyearexpnumtitle_color', array(
		'label' => 'Image Title Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_aboutusimgyearexpnumbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_aboutusimgyearexpnumbg_color', array(
		'label' => 'Image Number BG Color',
		'section' => 'luzuk_experthandyman_aboutus_section',
	)));
	

	// services Section
	$wp_customize->add_section('luzuk_experthandyman_services_section',array(
		'title'	=> __('Services Settings','expert-handyman'),
		'description'=> __('<b>Note :</b> This section will appear below the Aboutus.','expert-handyman'),
		'panel' => 'luzuk_experthandyman_panel_id',
	));

	$wp_customize->add_setting('luzuk_experthandyman_services_hideshow',array(
		'default' => true,
		'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_checkbox'
	));
	$wp_customize->add_control('luzuk_experthandyman_services_hideshow',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Services Section','expert-handyman'),
		'section' => 'luzuk_experthandyman_services_section'
	));

	$wp_customize->add_setting('luzuk_experthandyman_servicesheading',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_servicesheading',array(
	   	'type' => 'text',
	   	'label' => __('Heading','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_services_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_servicestitle',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_servicestitle',array(
	   	'type' => 'text',
	   	'label' => __('SubHeading','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_services_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_servicesdescription',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_servicesdescription',array(
	   	'type' => 'text',
	   	'label' => __('Description','expert-handyman'),
	   	'section' => 'luzuk_experthandyman_services_section',
	));


	$pages = get_pages(); // Retrieve pages
	$page_options = array(); // Initialize page options array
	foreach ($pages as $page) {
		$page_options[$page->ID] = $page->post_title; // Store page ID and title in options array
	}

	$wp_customize->add_setting('luzuk_experthandyman_page_setting_1', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_experthandyman_page_setting_1', array(
		'label'    => __('Select Page 1', 'expert-handyman'),
		'section'  => 'luzuk_experthandyman_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_experthandyman_page_setting_icon1',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_page_setting_icon1',array(
	   	'type' => 'text',
	   	'label' => __('Icon 1','expert-handyman'),
		'description'    => __('fa-solid fa-scissors', 'expert-handyman'),
	   	'section' => 'luzuk_experthandyman_services_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_page_setting_2', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_experthandyman_page_setting_2', array(
		'label'    => __('Select Page 2', 'expert-handyman'),
		'section'  => 'luzuk_experthandyman_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_experthandyman_page_setting_icon2',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_page_setting_icon2',array(
	   	'type' => 'text',
	   	'label' => __('Icon 2','expert-handyman'),
		'description'    => __('fa-solid fa-scissors', 'expert-handyman'),
	   	'section' => 'luzuk_experthandyman_services_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_page_setting_3', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_experthandyman_page_setting_3', array(
		'label'    => __('Select Page 3', 'expert-handyman'),
		'section'  => 'luzuk_experthandyman_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_experthandyman_page_setting_icon3',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_page_setting_icon3',array(
	   	'type' => 'text',
	   	'label' => __('Icon 3','expert-handyman'),
		'description'    => __('fa-solid fa-scissors', 'expert-handyman'),
	   	'section' => 'luzuk_experthandyman_services_section',
	));

	$wp_customize->add_setting('luzuk_experthandyman_page_setting_4', array(
		'default'            => '',
		'sanitize_callback'  => 'absint', // Use absint to ensure the value is an integer
	));

	$wp_customize->add_control('luzuk_experthandyman_page_setting_4', array(
		'label'    => __('Select Page 4', 'expert-handyman'),
		'section'  => 'luzuk_experthandyman_services_section', 
		'type'     => 'dropdown-pages',
	));

	$wp_customize->add_setting('luzuk_experthandyman_page_setting_icon4',array(
    	'default' => '',
    	'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('luzuk_experthandyman_page_setting_icon4',array(
	   	'type' => 'text',
	   	'label' => __('Icon 4','expert-handyman'),
		'description'    => __('fa-solid fa-scissors', 'expert-handyman'),
	   	'section' => 'luzuk_experthandyman_services_section',
	));
	
	$wp_customize->add_setting( 'luzuk_experthandyman_services_heading_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_services_heading_color', array(
		'label' => 'Heading Color',
		'section' => 'luzuk_experthandyman_services_section',
	)));


	$wp_customize->add_setting( 'luzuk_experthandyman_services_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_services_title_color', array(
		'label' => 'SubHeading Color',
		'section' => 'luzuk_experthandyman_services_section',
	)));


	$wp_customize->add_setting( 'luzuk_experthandyman_services_headbrd_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_services_headbrd_color', array(
		'label' => 'Border Color',
		'section' => 'luzuk_experthandyman_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_services_description_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_services_description_color', array(
		'label' => 'Description Color',
		'section' => 'luzuk_experthandyman_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_services_headbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_services_headbg_color', array(
		'label' => 'Head BG Color',
		'section' => 'luzuk_experthandyman_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_services_boxtitle_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_services_boxtitle_color', array(
		'label' => 'Box Title Color',
		'section' => 'luzuk_experthandyman_services_section',
	)));


	$wp_customize->add_setting( 'luzuk_experthandyman_services_boxicon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_services_boxicon_color', array(
		'label' => 'Box Icon Color',
		'section' => 'luzuk_experthandyman_services_section',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_services_boxiconbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_services_boxiconbg_color', array(
		'label' => 'Box Icon BG Color',
		'section' => 'luzuk_experthandyman_services_section',
	)));

	

	//Footer
    $wp_customize->add_section( 'luzuk_experthandyman_footer', array(
    	'title'  => __( 'Footer Settings', 'expert-handyman' ),
		'priority' => null,
		'panel' => 'luzuk_experthandyman_panel_id'
	) );

	$wp_customize->add_setting('luzuk_experthandyman_show_back_totop',array(
       'default' => true,
       'sanitize_callback'	=> 'luzuk_experthandyman_sanitize_checkbox'
    ));
    $wp_customize->add_control('luzuk_experthandyman_show_back_totop',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Back to Top','expert-handyman'),
       'section' => 'luzuk_experthandyman_footer'
    ));

    $wp_customize->add_setting('luzuk_experthandyman_footer_copy',array(
		'default' => 'Expert Handyman WordPress Theme By Luzuk',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('luzuk_experthandyman_footer_copy',array(
		'label'	=> __('Copyright Text','expert-handyman'),
		'section' => 'luzuk_experthandyman_footer',
		'setting' => 'luzuk_experthandyman_footer_copy',
		'type' => 'text'
	));

	$wp_customize->add_setting( 'luzuk_experthandyman_footerwidgettitle_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footerwidgettitle_color', array(
		'label' => 'Widegts Title Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footertext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footertext_color', array(
		'label' => 'Text Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footericon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footericon_color', array(
		'label' => 'Icon Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footeractivemenu_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footeractivemenu_color', array(
		'label' => 'Active Menu Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footerbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footerbg_color', array(
		'label' => 'BG Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footercopyright_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footercopyright_color', array(
		'label' => 'Copyright Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footercopyrightbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footercopyrightbg_color', array(
		'label' => 'Copyright BG Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footerscrolltotoptext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footerscrolltotoptext_color', array(
		'label' => 'Scroll To Top Text Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footerscrolltotopbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footerscrolltotopbg_color', array(
		'label' => 'Scroll To Top BG Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footerscrolltotoptexthover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footerscrolltotoptexthover_color', array(
		'label' => 'Scroll To Top Text Hover Color',
		'section' => 'luzuk_experthandyman_footer',
	)));

	$wp_customize->add_setting( 'luzuk_experthandyman_footerscrolltotophover_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'luzuk_experthandyman_footerscrolltotophover_color', array(
		'label' => 'Scroll To Top Hover Color',
		'section' => 'luzuk_experthandyman_footer',
	)));




	

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'luzuk_experthandyman_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'luzuk_experthandyman_customize_partial_blogdescription',
	) );
}
add_action( 'customize_register', 'luzuk_experthandyman_customize_register' );

function luzuk_experthandyman_customize_partial_blogname() {
	bloginfo( 'name' );
}

function luzuk_experthandyman_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

if (class_exists('WP_Customize_Control')) {

   	class Luzuk_ExpertHandyman_Fontawesome_Icon_Chooser extends WP_Customize_Control {

      	public $type = 'icon';

      	public function render_content() { ?>
	     	<label>
	            <span class="customize-control-title">
	               <?php echo esc_html($this->label); ?>
	            </span>

	            <?php if ($this->description) { ?>
	                <span class="description customize-control-description">
	                   <?php echo wp_kses_post($this->description); ?>
	                </span>
	            <?php } ?>

	            <div class="experthandyman-selected-icon">
	                <i class="fa <?php echo esc_attr($this->value()); ?>"></i>
	                <span><i class="fa fa-angle-down"></i></span>
	            </div>

	            <ul class="experthandyman-icon-list clearfix">
	                <?php
	                $luzuk_experthandyman_font_awesome_icon_array = luzuk_experthandyman_font_awesome_icon_array();
	                foreach ($luzuk_experthandyman_font_awesome_icon_array as $luzuk_experthandyman_font_awesome_icon) {
	                   $icon_class = $this->value() == $luzuk_experthandyman_font_awesome_icon ? 'icon-active' : '';
	                   echo '<li class=' . esc_attr($icon_class) . '><i class="' . esc_attr($luzuk_experthandyman_font_awesome_icon) . '"></i></li>';
	                }
	                ?>
	            </ul>
	            <input type="hidden" value="<?php $this->value(); ?>" <?php $this->link(); ?> />
	        </label>
	        <?php
      	}
  	}
}
function luzuk_experthandyman_customizer_script() {
   wp_enqueue_style( 'font-awesome-1', esc_url(get_template_directory_uri()).'/assets/css/fontawesome-all.css');
}
add_action( 'customize_controls_enqueue_scripts', 'luzuk_experthandyman_customizer_script' );